package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "收钱吧商品扩展-VO-redis")
public class GoblinSqbGoodsExtVo implements Serializable {

    @ApiModelProperty(value = " goblin_goods.spu_id")
    private String spuId;

    @ApiModelProperty(value = "关联 goblin_goods_sku.sku_id")
    private String skuId;

    @ApiModelProperty(value = "所属收钱吧商城编号")
    private String mallSn;

    @ApiModelProperty(value = "商城签名")
    private String signature;

    @ApiModelProperty(value = "收钱吧商品ID")
    private String sqbSpuId;

    @ApiModelProperty(value = "收钱吧规格ID (skuId)")
    private String sqbSkuId;

    public static GoblinSqbGoodsExtVo of(String spuId,
                                         String skuId,
                                         String mallSn,
                                         String signature,
                                         String sqbSpuId,
                                         String sqbSkuId) {
        GoblinSqbGoodsExtVo extVo = new GoblinSqbGoodsExtVo();
        extVo.setSpuId(spuId);
        extVo.setSkuId(skuId);
        extVo.setMallSn(mallSn);
        extVo.setSignature(signature);
        extVo.setSqbSpuId(sqbSpuId);
        extVo.setSqbSkuId(sqbSkuId);
        return extVo;
    }
}
